#######################################
# Skrypt PowerShella
# (C) dr Holger Schwichtenberg
########################################

# Nazwa konta i SID

# Konto
$Konto = new-object system.security.principal.ntaccount("itv\hs")
# SID konta
$SID = $Konto.Translate([system.security.principal.securityidentifier]).value
$SID

# Konto o określonym SID
$Konto = new-object system.security.principal.securityidentifier("S-1-5-21-1973890784-140174113-2732654181-1228")
#$Konto = new-object system.security.principal.securityidentifier("S-1-5-32-544")
$Nazwa = $Konto.Translate([system.security.principal.ntaccount]).value
$Nazwa

# Standardowa tożsamość (osobowość)
$SID = [System.Security.Principal.WellKnownSidType]::BuiltinAdministratorsSid
$Konto = new-object system.security.principal.securityidentifier($SID, $null)
$Nazwa = $Konto.Translate([system.security.principal.ntaccount]).value
$Nazwa

# Przykład użycia SDDL
$Konto = new-object System.Security.Principal.SecurityIdentifier("NU")
$Konto.Value
